
.hero-banner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 100px;
  padding-bottom: 100px;
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  &:before {
    content: '';
    background-image: url('../img/vector.svg');
    background-size: contain;
    background-position: center;
    position: absolute;
    bottom: 0;
    left: 50%;
    top: 0;
    background-repeat: no-repeat;
    width: 95vw;
    transform: translateX(-50%);
    z-index: -1;
  }
}

.hero__caption {
  flex-basis: 535px;
  margin-right: 100px;
}
.hero__title {
  font-size: 5.5em;
  color: $primary;
  font-weight: 700;
  line-height: 1;
  margin-bottom: 40px;
}

.hero__text {
  //text-transform: uppercase;
  //color: $light-grey;
  letter-spacing: 1px;
}
.hero__picture {
  flex-basis: 400px;
}


@media screen and(max-width: 1280px){
  .hero-banner {
    align-items: flex-start;
    & > div {
      flex:auto;

    }
  }
  .hero__caption {
    flex-basis: 60%;
  }
  .hero__title {
    font-size: 4em;
  }
  .hero__picture {
    flex-basis: 35%;
    min-width: 250px;
  }

}

@media screen and(max-width: 768px){
  .hero-banner {
   flex-wrap: wrap;
    & > div {
      flex-basis: 100%;

    }
  }
  .hero__picture {
    order: -1;
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
  }

  .hero__caption {
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
  }
  .hero__title {
    font-size: 3.5em;
  }
}